 jQuery.fn.alternateRowColors = function() {
   $('tbody tr:odd', this)
     .removeClass('even').addClass('odd');
   $('tbody tr:even', this)
     .removeClass('odd').addClass('even');
   return this;
 };
 
 $(document).ready(function() {
   $('table.sortable').each(function() {
     var $table = $(this);
     $table.alternateRowColors();
     $('th', $table).each(function(column) {
       var $header = $(this);
       if ($header.is('.sort-alpha')) {
         $header.addClass('clickable').hover(function() {
           $header.addClass('hover');
         }, function() {
           $header.removeClass('hover');
         }).click(function() {
           var rows = $table.find('tbody > tr').get();
           $.each(rows, function(index, row) {
             var $cell = $(row).children('td').eq(column);
             row.sortKey = $cell.find('.sort-key').text()
               .toUpperCase() + ' '
               + $cell.text().toUpperCase();
           });
           rows.sort(function(a, b) {
             if (a.sortKey < b.sortKey) return -1;
             if (a.sortKey > b.sortKey) return 1;
             return 0;
           });
           $.each(rows, function(index, row) {
             $table.children('tbody').append(row);
             row.sortKey = null;
           });
           $table.alternateRowColors();
         });
       }
     });
   });
 });
